src/main/java/model/Esportista.java
package model;

import javax.persistence.Entity;

@Entity
public class Esportista extends Pessoa {

	private String esporte;

	public String getEsporte() {
		return esporte;
	}

	public void setEsporte(String esporte) {
		this.esporte = esporte;
	}
	
}

src/main/java/controller/EsportistaBean.java
package controller;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.persistence.EntityManager;

import dao.DAO;
import dao.JPAUtil;
import dao.EsportistaDao;
import model.Esportista;
import model.Pessoa;


@ManagedBean
@ApplicationScoped
public class EsportistaBean implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Esportista esportista = new Esportista();
	public List<Esportista> esportistas = new ArrayList<Esportista>();
	public List<Esportista> esportistasEncontrados = new ArrayList<Esportista>();

	public EsportistaBean() {
		this.findAll();
	}

	public void gravar() {
		EsportistaDao daoEsportista = new EsportistaDao();
		daoEsportista.adiciona(esportista);
		esportistas.add(esportista);
		esportista = new Esportista();
	}

	public void remover() {
		EsportistaDao daoEsportista = new EsportistaDao();
		daoEsportista.remove(esportista.getCpf());
		esportistas = daoEsportista.listaTodos();
		esportista = new Esportista();
	}

	public Esportista recupera() {
		EsportistaDao daoEsportista = new EsportistaDao();
		Esportista pessoaEncontrada = daoEsportista.buscaPorCPF(esportista.getCpf());
		return pessoaEncontrada;
	}

	public void findAll() {
		EsportistaDao daoEsportista = new EsportistaDao();
		esportistas = daoEsportista.listaTodos();
	}

	public void atualizar() {
		EsportistaDao daoPeessoa = new EsportistaDao();
		daoPeessoa.atualiza(esportista);
		esportista = new Esportista();
		esportistas = daoPeessoa.listaTodos();
	}

	public Esportista getEsportista() {
		return esportista;
	}

	public List<Esportista> getListaDeEsportistas() {
		return esportistas;
	}
	
	public List<Esportista> getListaEsportistasEncontrados(){
		return esportistasEncontrados;
	}

}

src/main/webapp/esportista/changeOrDeleteEsportista.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html">
<head>
<title>Esportista</title>
</head>
<body>
	<h:form>
		<fieldset>
			<legend>Deletar da esportista</legend>
			<h:panelGrid columns="2">
				<h:outputLabel value="CPF: " for="cpf" />
				<h:inputText id="cpf" value="#{esportistaBean.esportista.cpf}" />
				
				<h:commandButton id="gravar" value="Excluir" action="#{esportistaBean.remover}" />
				<h:commandButton id="atualizar" value="Atualizar" action="updateEsportista" />
				<h:commandButton action="esportista" value="Voltar" />
			</h:panelGrid>
		</fieldset>
	</h:form>
</body>
</html>

src/main/webapp/esportista/createEsportista.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">
<head>
<title>Esportista</title>
</head>
<body>
	<f:view>
		<h:form>
			<fieldset>
				<legend>Cadastro da esportista</legend>
				<h:panelGrid columns="2">
					<h:outputLabel value="Nome: " for="nome" />
					<h:inputText id="nome" value="#{esportistaBean.esportista.nome}" />
					<h:outputLabel value="CPF: " for="cpf" />
					<h:inputText id="cpf" value="#{esportistaBean.esportista.cpf}" />
					<h:outputLabel value="Esporte: " for="esporte" />
					<h:inputText id="esporte" value="#{esportistaBean.esportista.esporte}" />
					

					<h:commandButton id="gravar" value="Gravar"
						action="#{esportistaBean.gravar}" />
					<h:commandButton action="changeOrDeleteEsportista"
						value="Outras Operações" />
					<h:commandButton action="esportista" value="Voltar" />
				</h:panelGrid>
			</fieldset>
		</h:form>
	</f:view>
</body>
</html>

src/main/webapp/esportista/esportista.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">
<h:head>
	<title>Pessoa</title>
</h:head>
<body>
	<f:view>
		<!-- Criando botões de comando e navegação -->
		<h:form>
			<h:commandButton action="createEsportista" value="Criar nova pessoa" />
			<h:commandButton action="changeOrDeleteEsportista"
				value="Atualizar ou Remover" />
			<h:commandButton action="/pessoa" value="voltar" />
		</h:form>


		<!-- Fazendo aparecer todas as pessoas -->
		<p:dataTable var="esportista"
			value="#{esportistaBean.listaDeEsportistas}">
			<p:column headerText="CPF">
				<h:outputText value="#{esportista.cpf}" />
			</p:column>

			<p:column headerText="Nome">
				<h:outputText value="#{esportista.nome}" />
			</p:column>

			<p:column headerText="Esporte">
				<h:outputText value="#{esportista.esporte}" />
			</p:column>

		</p:dataTable>


	</f:view>
</body>
</html>

src/main/webapp/esportista/updateEsportista.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html">
<head>
<title>Esportista</title>
</head>
<body>
	<h:form>
		<fieldset>
			<legend>Atualizar esportista</legend>
			<h:panelGrid columns="2">
				<h:outputLabel value="Nome: " for="nome" />
				<h:inputText id="nome" value="#{esportistaBean.esportista.nome}" />
				<h:outputLabel value="CPF: " for="cpf" />
				<h:inputText id="cpf" value="#{esportistaBean.esportista.cpf}" />
				<h:outputLabel value="Esporte: " for="esporte" />
					<h:inputText id="esporte" value="#{esportistaBean.esportista.esporte}" />
				
				<h:commandButton id="atualizar" value="Atualizar" action="#{esportistaBean.atualizar}" />
				<h:commandButton action="esportista" value="Voltar" />
			</h:panelGrid>
		</fieldset>
	</h:form>
</body>
</html>